<h3 mat-dialog-title>Reunión</h3>
<p></p>
<form role="form" autocomplete="off" [formGroup]="meetForm">
    <div mat-dialog-content>
        <div class="row">
            <div class="col-sm-12 col-12">
                <div class="row">
                    <div class="col-sm-6 col-6">
                        <mat-form-field class="example-full-width">
                            <input matInput type="text" placeholder="Fecha - formato: YYYY-MM-DD" formControlName="fecha">
                            <mat-error *ngIf="fecha.errors && 
                            ( fecha.touched || fecha.dirty)">
                                <div *ngIf="fecha.errors?.maxlength">
                                    Solo se permiten 200 caracteres
                                </div>
                                <div *ngIf="fecha.errors?.validacion">
                                    {{ fecha.errors.validacion.message }}
                                </div>
                            </mat-error>
                        </mat-form-field>
                    </div>
                    <div class="col-sm-6 col-6">
                        <mat-form-field class="example-full-width">
                            <input matInput type="text" placeholder="Hora - ejemplo: 23:30" formControlName="hora">
                            <mat-error *ngIf="hora.errors && 
                            (hora.touched || hora.dirty)">
                                <div *ngIf="hora.errors?.maxlength">
                                    Solo se permiten 200 caracteres
                                </div>
                                <div *ngIf="hora.errors?.validacion">
                                    {{ hora.errors.validacion.message }}
                                </div>
                            </mat-error>
                        </mat-form-field>
                    </div>
                </div>
            </div>  
        </div>
         
        <div class="row">
            <div class="col-sm-12 col-12">
                <mat-form-field class="example-full-width">
                    <input matInput type="text" placeholder="Asunto" formControlName="asunto">
                    <mat-error *ngIf="asunto.errors && 
                    (asunto.touched || asunto.dirty)">
                        <div *ngIf="asunto.errors?.maxlength">
                            Solo se permiten 200 caracteres
                        </div>
                        <div *ngIf="asunto.errors?.validacion">
                            {{ asunto.errors.validacion.message }}
                        </div>
                    </mat-error>
                </mat-form-field>
            </div>  
        </div>
         
        <div class="row">
            <div class="col-sm-12 col-12">
                <mat-form-field class="example-full-width">
                    <textarea matInput type="text" placeholder="Descripción" formControlName="description"></textarea>
                    <mat-error *ngIf="description.errors && 
                    (description.touched || description.dirty)">
                        <div *ngIf="description.errors?.maxlength">
                            Solo se permiten 200 caracteres
                        </div>
                        <div *ngIf="description.errors?.validacion">
                            {{ description.errors.validacion.message }}
                        </div>
                    </mat-error>
                </mat-form-field>
            </div>  
        </div>
        <div mat-dialog-actions class="pull-right">
            <button type="submit" class="btn btn-primary btn-sm mat-button-base" mat-raised-button 
            (click)="save()">
                <span class="mat-button-wrapper"><i class="material-icons">save</i> Guardar</span>
            </button>
            <button class="btn btn-danger btn-sm mat-button-base" mat-raised-button 
            matDialogClose (click)="cancelar()">
                <span class="mat-button-wrapper"><i class="material-icons">close</i> Cancelar</span>
            </button>
        </div>

    </div>
</form>
